%define srcname pyparted
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Summary: 	Python module for GNU parted
Name:    	python-parted
Version: 	3.10
Release: 	%mkrel 2
License: 	GPLv2+
Group:   	System/Libraries
URL:     	http://fedorahosted.org/pyparted
Source0: 	http://fedorahosted.org/releases/p/y/%{srcname}/%{srcname}-%{version}.tar.xz

BuildRequires: 	python-devel
BuildRequires: 	parted-devel
BuildRequires: 	pkgconfig
Provides:	%{srcname} = %{version}-%{release}

%description
Python module for the parted library.  It is used for manipulating
partition tables.

%files
%doc AUTHORS BUGS COPYING ChangeLog NEWS README TODO
%{python_sitearch}/*.so
%{python_sitearch}/parted
%{python_sitearch}/*info

#------------------------------------------------------------------------------

%prep
%setup -q -n %{srcname}-%{version}

%build
%{__python} setup.py build 

%install
%{__python} setup.py install --root %{buildroot}

# Remove .la file
%__rm -rf %{buildroot}%{python_sitearch}/*.la




%changelog
* Thu Apr 02 2015 bb <bb> 3.10-2pclos2015
- rebuild

